# Changes for 4.0 Release

Below are the NTC Template keys that are changing as part of 4.0. These may not line up exactly of what is changing from what to what, but the keys of what are old and what are new are calculated with set calculations.

| Template Name | Previous | New |
| ------------- | -------- | --- |
| alcatel_aos_show_vlan.textfsm | VLAN<br>IP<br>NAME | IP_STATE<br>VLAN_ID<br>VLAN_NAME |
| alcatel_sros_show_router_bgp_routes_vpn-ipv4.textfsm | PREFIX | NETWORK<br>PREFIX_LENGTH |
| alcatel_sros_show_router_interface.textfsm | ADDRESS | IP_ADDRESS |
| arista_eos_show_interfaces.textfsm | ADDRESS | MAC_ADDRESS |
| arista_eos_show_interfaces_status.textfsm | VLAN | VLAN_ID |
| arista_eos_show_ip_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| arista_eos_show_ip_interface_brief.textfsm | IP | IP_ADDRESS |
| arista_eos_show_ip_ospf_interface_brief.textfsm | ADDRESS | PREFIX_LENGTH<br>IP_ADDRESS |
| arista_eos_show_ip_ospf_neighbor.textfsm | ADDRESS | IP_ADDRESS |
| arista_eos_show_ip_route.textfsm | MASK | PREFIX_LENGTH |
| arista_eos_show_mac_address-table.textfsm | VLAN | VLAN_ID |
| arista_eos_show_pim_ipv4_interface.textfsm | ADDRESS | IP_ADDRESS |
| arista_eos_show_vlan.textfsm | NAME | VLAN_NAME |
| aruba_aoscx_show_arp_all-vrfs.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| aruba_aoscx_show_bfd_all-vrfs.textfsm | IFACE | INTERFACE |
| aruba_aoscx_show_interface.textfsm | MAC | MAC_ADDRESS |
| aruba_aoscx_show_interface_dom_detail.textfsm | IFACE | INTERFACE |
| aruba_aoscx_show_ip_route_all-vrfs.textfsm | IP<br>IFACE | PREFIX_LENGTH<br>INTERFACE<br>IP_ADDRESS |
| aruba_aoscx_show_mac-address-table.textfsm | VLAN<br>MAC | MAC_ADDRESS<br>VLAN_ID |
| aruba_aoscx_show_vsf_detail.textfsm | MAC | MAC_ADDRESS |
| aruba_os_show_ap_database_long.textfsm | MAC | MAC_ADDRESS |
| aruba_os_show_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| aruba_os_show_ip_interface_brief.textfsm | INTF<br>IPADDR<br>MASK | NETMASK<br>INTERFACE<br>IP_ADDRESS |
| aruba_os_show_ipv6_interface_brief.textfsm | IPADDR<br>INTF | IPV<br>_ADDRESS<br>INTERFACE |
| avaya_ers_show_mac-address-table.textfsm | MAC_ADDR | MAC_ADDRESS |
| avaya_ers_show_vlan.textfsm | VLANNAME<br>VLANPROTOCOL<br>VLANPID<br>VLANACTIVE<br>VLANPORTMEMBERS<br>VLANMGMT<br>VLANTYPE<br>VLANID<br>VLANIVLSVL | VLAN_PROTOCOL<br>VLAN_PID<br>VLAN_ID<br>VLAN_IVL_SVL<br>VLAN_PORT_MEMBERS<br>VLAN_NAME<br>VLAN_MGMT<br>VLAN_TYPE<br>VLAN_ACTIVE |
| broadcom_icos_show_mac-addr-table.textfsm | VLAN<br>MAC | MAC_ADDRESS<br>VLAN_ID |
| broadcom_icos_show_version.textfsm | MAC | MAC_ADDRESS |
| broadcom_icos_show_vlan_brief.textfsm | NAME | VLAN_NAME |
| brocade_fastiron_show_mac-address.textfsm | VLAN | VLAN_ID |
| brocade_netiron_show_running-config_interface.textfsm | IP_ADDR | IP_ADDRESS |
| checkpoint_gaia_show_arp_dynamic_all.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| checkpoint_gaia_show_interfaces_all.textfsm | MAC | MAC_ADDRESS |
| checkpoint_gaia_show_ipv6_route.textfsm | MASK | PREFIX_LENGTH |
| ciena_saos_vlan_show.textfsm | NAME | VLAN_NAME |
| cisco_asa_show_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_asa_show_interface.textfsm | VLAN<br>ADDRESS<br>NET_MASK | MAC_ADDRESS<br>NETMASK<br>VLAN_ID |
| cisco_asa_show_interface_detail.textfsm | VLAN<br>ADDRESS<br>NET_MASK | MAC_ADDRESS<br>NETMASK<br>VLAN_ID |
| cisco_asa_show_interface_ip_brief.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| cisco_asa_show_name.textfsm | IP | IP_ADDRESS |
| cisco_asa_show_object-group_network.textfsm | MASK<br>DESC | NETMASK<br>DESCRIPTION |
| cisco_asa_show_ospf_interface_brief.textfsm | IP_ADDRESS_MASK | NETMASK<br>IP_ADDRESS |
| cisco_asa_show_ospf_neighbor.textfsm | ADDRESS | IP_ADDRESS |
| cisco_asa_show_route.textfsm | MASK | NETMASK |
| cisco_asa_show_running-config_object_network.textfsm | CIDR<br>MASK<br>DESC | NETMASK<br>PREFIX_LENGTH<br>DESCRIPTION |
| cisco_asa_show_vpn-sessiondb_anyconnect.textfsm | VLAN | VLAN_ID |
| cisco_ios_show_access-list.textfsm |  | TYPE<br>DESTINATION_PORT<br>OPERATOR_DESTINATION_PORT<br>SOURCE_PORT<br>OPERATOR_SOURCE_PORT |
| cisco_ios_show_access-session.textfsm | MAC | MAC_ADDRESS |
| cisco_ios_show_ap_summary.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_ios_show_authentication_sessions.textfsm | MAC | MAC_ADDRESS |
| cisco_ios_show_bfd_neighbors_details.textfsm | IFACE | INTERFACE |
| cisco_ios_show_crypto_session_detail.textfsm | DESC | DESCRIPTION |
| cisco_ios_show_dhcp_lease.textfsm | ADDRESS | IP_ADDRESS |
| cisco_ios_show_interface_transceiver.textfsm | IFACE | INTERFACE |
| cisco_ios_show_interfaces.textfsm | ADDRESS | MAC_ADDRESS<br>PREFIX_LENGTH |
| cisco_ios_show_interfaces_status.textfsm | VLAN | VLAN_ID |
| cisco_ios_show_ip_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_ios_show_ip_cef.textfsm | PREFIX | PREFIX_LENGTH<br>IP_ADDRESS |
| cisco_ios_show_ip_cef_detail.textfsm |  | PREFIX_LENGTH<br>IP_ADDRESS |
| cisco_ios_show_ip_device_tracking_all.textfsm | VLAN<br>IP<br>MAC | MAC_ADDRESS<br>VLAN_ID<br>IP_ADDRESS |
| cisco_ios_show_ip_eigrp_neighbors.textfsm | ADDRESS | IP_ADDRESS |
| cisco_ios_show_ip_eigrp_topology.textfsm | MASK | PREFIX_LENGTH |
| cisco_ios_show_ip_interface.textfsm | INTF<br>IPADDR<br>MASK | PREFIX_LENGTH<br>INTERFACE<br>IP_ADDRESS |
| cisco_ios_show_ip_interface_brief.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| cisco_ios_show_ip_ospf_interface_brief.textfsm | IP_ADDRESS_MASK | PREFIX_LENGTH<br>IP_ADDRESS |
| cisco_ios_show_ip_ospf_neighbor.textfsm | ADDRESS | IP_ADDRESS |
| cisco_ios_show_ip_route.textfsm | MASK | PREFIX_LENGTH |
| cisco_ios_show_ip_source_binding.textfsm | VLAN<br>IP<br>MAC | MAC_ADDRESS<br>VLAN_ID<br>IP_ADDRESS |
| cisco_ios_show_ip_vrf_interfaces.textfsm | IPADDRESS | IP_ADDRESS |
| cisco_ios_show_ipv6_interface_brief.textfsm | IPADDR<br>INTF | IPV<br>_ADDRESS<br>INTERFACE |
| cisco_ios_show_ipv6_neighbors.textfsm | MAC | MAC_ADDRESS |
| cisco_ios_show_lldp_neighbors_detail.textfsm | VLAN | VLAN_ID |
| cisco_ios_show_mac-address-table.textfsm | VLAN | VLAN_ID |
| cisco_ios_show_module_status.textfsm | MAC_ADDR | MAC_ADDRESS |
| cisco_ios_show_nve_peers.textfsm | RMAC | MAC_ADDRESS |
| cisco_ios_show_standby_brief.textfsm | VIRTUALIP<br>IFACE | VIRTUAL_IP_ADDRESS<br>INTERFACE |
| cisco_ios_show_version.textfsm | MAC | MAC_ADDRESS |
| cisco_ios_show_vlan.textfsm | NAME | VLAN_NAME |
| cisco_ios_show_vrrp_all.textfsm | VIRTUALIP<br>VIRTUAL_MAC<br>MASTER_IP<br>IFACE | VIRTUAL_MAC_ADDRESS<br>VIRTUAL_IP_ADDRESS<br>INTERFACE<br>MASTER_IP_ADDRESS |
| cisco_ios_show_vrrp_brief.textfsm | VIRTUALIP<br>MASTER_IP<br>IFACE | VIRTUAL_IP_ADDRESS<br>INTERFACE<br>MASTER_IP_ADDRESS |
| cisco_ios_traceroute.textfsm | ADDRESS | IP_ADDRESS |
| cisco_nxos_show_forwarding_ipv4_route.textfsm | PREFIX | PREFIX_LENGTH<br>IP_ADDRESS |
| cisco_nxos_show_interface.textfsm | ADDRESS | MAC_ADDRESS<br>PREFIX_LENGTH |
| cisco_nxos_show_interface_brief.textfsm | VLAN<br>IP | VLAN_ID<br>IP_ADDRESS |
| cisco_nxos_show_interface_status.textfsm | VLAN | VLAN_ID |
| cisco_nxos_show_ip_adjacency.textfsm | IPADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_nxos_show_ip_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_nxos_show_ip_arp_detail.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_nxos_show_ip_bgp_neighbors.textfsm |  | REMOTE_ASN<br>PEER_GROUP<br>LOCAL_ASN |
| cisco_nxos_show_ip_interface_brief.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| cisco_nxos_show_ip_interface_vrf_all.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| cisco_nxos_show_ip_ospf_neighbor.textfsm | NEIGHBOR_IPADDR<br>LOCAL_IPADDR | NEIGHBOR_ID<br>IP_ADDRESS |
| cisco_nxos_show_ip_route.textfsm | MASK | PREFIX_LENGTH |
| cisco_nxos_show_ipv6_interface_brief.textfsm | IPADDR<br>INTF | IPV<br>_ADDRESS<br>INTERFACE |
| cisco_nxos_show_l2rib_internal_permanently-frozen-list.textfsm | MAC | MAC_ADDRESS |
| cisco_nxos_show_lldp_neighbors_detail.textfsm | VLAN | VLAN_ID |
| cisco_nxos_show_mac_address-table.textfsm | VLAN<br>MAC | MAC_ADDRESS<br>VLAN_ID |
| cisco_nxos_show_nve_peers.textfsm | RMAC | MAC_ADDRESS |
| cisco_nxos_show_spanning-tree_root.textfsm | VLAN | VLAN_ID |
| cisco_nxos_show_vdc.textfsm | MAC | MAC_ADDRESS |
| cisco_nxos_show_vlan.textfsm | NAME | VLAN_NAME |
| cisco_s300_show_mac_address-table.textfsm | VLAN | VLAN_ID |
| cisco_wlc_ssh_show_ap_config_general.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_wlc_ssh_show_ap_summary.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_wlc_ssh_show_client_detail.textfsm | VLAN | VLAN_ID |
| cisco_wlc_ssh_show_exclusionlist.textfsm | MAC | MAC_ADDRESS |
| cisco_wlc_ssh_show_interface_detailed_id.textfsm | IP_NETMASK<br>IP_GATEWAY | NETMASK<br>GATEWAY |
| cisco_wlc_ssh_show_interface_summary.textfsm | VLAN<br>IP_ADDR | VLAN_ID<br>IP_ADDRESS |
| cisco_wlc_ssh_show_inventory.textfsm | BIA_MAC | BIA |
| cisco_wlc_ssh_show_mobility_anchor.textfsm | IPADDR | IP_ADDRESS |
| cisco_wlc_ssh_show_mobility_sum.textfsm | MAC_ADDR<br>IP_ADDR | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_wlc_ssh_show_rf-profile_summary.textfsm | DESC | DESCRIPTION |
| cisco_xr_admin_show_vm.textfsm | IP_ADDR | IP_ADDRESS |
| cisco_xr_show_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_xr_show_controllers_hundredgige_all.textfsm | MAC_OPS_ADD<br>MAC_BIA_ADD | BIA<br>MAC_ADDRESS |
| cisco_xr_show_dhcp_ipv4_proxy_binding.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| cisco_xr_show_interfaces.textfsm | ADDRESS | MAC_ADDRESS<br>VLAN_ID |
| cisco_xr_show_ip_interface_brief.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| cisco_xr_show_ip_route.textfsm | MASK | PREFIX_LENGTH |
| cisco_xr_show_ipv4_vrf_all_interface_brief.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| cisco_xr_show_ipv6_neighbors.textfsm | ADDRESS<br>MAC | IPV<br>MAC_ADDRESS<br>_ADDRESS |
| cisco_xr_show_ospf_neighbor.textfsm | ADDRESS | IP_ADDRESS |
| cisco_xr_show_ospf_vrf_all_interface_brief.textfsm | ADDRESS | PREFIX_LENGTH<br>IP_ADDRESS |
| cisco_xr_show_ospf_vrf_all_neighbor.textfsm | ADDRESS | IP_ADDRESS |
| cisco_xr_show_pim_ipv4_interface.textfsm | ADDRESS | IP_ADDRESS |
| dell_force10_show_arp.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| dell_force10_show_ip_interface_brief.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| dell_force10_show_vlan.textfsm | NAME | VLAN_NAME |
| dell_force10_show_vlan_brief.textfsm | IP<br>NAME | VLAN_NAME<br>IP_ADDRESS |
| dell_powerconnect_show_bridge_address_table.textfsm | VLAN | VLAN_ID |
| dlink_ds_show_arpentry.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| ericsson_ipos_show_arp.textfsm | MAC | MAC_ADDRESS |
| fortinet_get_system_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| fortinet_get_system_interface.textfsm | IP | IP_ADDRESS |
| fortinet_get_system_interface_physical.textfsm | IP | _ADDRESS<br>IP_ADDRESS |
| hp_comware_display_arp.textfsm | VLAN<br>IPADDRESS<br>MACADDRESS | MAC_ADDRESS<br>VLAN_ID<br>IP_ADDRESS |
| hp_comware_display_interface.textfsm | INTF | INTERFACE |
| hp_comware_display_ip_interface.textfsm | IPADDR<br>INTF | INTERFACE<br>IP_ADDRESS |
| hp_comware_display_ip_routing-table.textfsm | MASK | PREFIX_LENGTH |
| hp_comware_display_lldp_neighbor-information_verbose.textfsm | VLAN | VLAN_ID |
| hp_comware_display_mac-address.textfsm | VLAN<br>MACADDRESS | MAC_ADDRESS<br>VLAN_ID |
| hp_comware_display_vlan_all.textfsm | NAME | VLAN_NAME |
| hp_comware_display_vlan_brief.textfsm | NAME | VLAN_NAME |
| hp_procurve_show_arp.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| hp_procurve_show_mac-address.textfsm | VLAN<br>MAC | MAC_ADDRESS<br>VLAN_ID |
| hp_procurve_show_system.textfsm | MAC | MAC_ADDRESS |
| hp_procurve_show_vlans.textfsm | NAME | VLAN_NAME |
| huawei_vrp_display_arp_brief.textfsm | VLAN | VLAN_ID |
| huawei_vrp_display_ipv6_neighbors.textfsm | AYER<br>VLAN<br>IP_ADDRESS<br>LINK_<br>CEVLAN | VLAN_ID<br>MAC_ADDRESS<br>_ADDRESS<br>IPV<br>CE_VLAN |
| huawei_vrp_display_lldp_neighbor.textfsm | VLAN | VLAN_ID |
| juniper_junos_show_arp_no-resolve.textfsm | MAC | MAC_ADDRESS |
| juniper_junos_show_ethernet-switching_table.textfsm | VLAN | VLAN_ID |
| juniper_junos_show_ospf_neighbor.textfsm | ADDRESS | IP_ADDRESS |
| juniper_screenos_get_route.textfsm | PREFIX | PREFIX_LENGTH<br>IP_ADDRESS |
| linux_ip_address_show.textfsm | ADDRESS | MAC_ADDRESS |
| linux_ip_link_show.textfsm | ADDRESS | MAC_ADDRESS |
| mikrotik_routeros_interface_ethernet_monitor_name_once.textfsm |  | STATUS<br>FULL_DUPLEX<br>RATE<br>RX_FLOW_CONTROL<br>AUTO_NEGOTIATION<br>LINK_PARTNER_ADVERTISING<br>NAME<br>TX_FLOW_CONTROL<br>ADVERTISING |
| mikrotik_routeros_ip_arp_print_without-paging.textfsm |  | FLAGS<br>INDEX<br>INTERFACE<br>IP_ADDRESS<br>MAC_ADDRESS |
| mikrotik_routeros_ip_dhcp-server_lease_print_without-paging.textfsm |  | LAST_SEEN<br>HOSTNAME<br>STATUS<br>FLAGS<br>INDEX<br>IP_ADDRESS<br>MAC_ADDRESS<br>RATE_LIMIT<br>SERVER |
| mikrotik_routeros_ip_firewall_address-list_print_terse.textfsm | ADDRESS | IPV<br>_ADDRESS<br>PREFIX_LENGTH<br>IP_ADDRESS |
| mikrotik_routeros_ip_firewall_filter_print_all_without-paging.textfsm |  | FLAGS<br>LOG_PREFIX<br>OUT_INTERFACE_LIST<br>CHAIN<br>SRC_PORT<br>SRC_MAC_ADDRESS<br>CONNECTION_STATE<br>HW_OFFLOAD<br>PROTOCOL<br>INDEX<br>ACTION<br>DST_ADDRESS_LIST<br>IN_INTERFACE<br>OUT_INTERFACE<br>DST_PORT<br>LOG<br>COMMENT<br>SRC_ADDRESS_LIST<br>DST_ADDRESS<br>SRC_ADDRESS<br>IPSEC_POLICY<br>CONNECTION_NAT_STATE<br>IN_INTERFACE_LIST |
| mikrotik_routeros_ip_firewall_nat_print_all_without-paging.textfsm |  | FLAGS<br>LOG_PREFIX<br>OUT_INTERFACE_LIST<br>CHAIN<br>SRC_PORT<br>PROTOCOL<br>INDEX<br>ACTION<br>TO_PORTS<br>IN_INTERFACE<br>OUT_INTERFACE<br>DST_ADDRESS_LIST<br>DST_PORT<br>COMMENT<br>LOG<br>SRC_ADDRESS_LIST<br>DST_ADDRESS<br>SRC_ADDRESS<br>IPSEC_POLICY<br>TO_ADDRESSES<br>IN_INTERFACE_LIST |
| mikrotik_routeros_ip_route_print_terse.textfsm |  | FLAGS<br>SCOPE<br>SUPPRESS_HW_OFFLOAD<br>IMMEDIATE_GW<br>PREF_SRC<br>GATEWAY_STATUS<br>LOCAL_ADDRESS<br>TARGET_SCOPE<br>GATEWAY<br>INDEX<br>ROUTING_TABLE<br>DST_ADDRESS<br>COMMENT<br>DISTANCE |
| mikrotik_routeros_ipv6_neighbor_print_without-paging.textfsm | IP<br>MAC | IPV<br>MAC_ADDRESS<br>_ADDRESS |
| mikrotik_routeros_snmp_community_print_without-paging.textfsm |  | READ_ACCESS<br>SECURITY<br>WRITE_ACCESS<br>FLAGS<br>INDEX<br>NAME<br>ADDRESSES |
| mikrotik_routeros_system_routerboard_print.textfsm |  | FACTORY_FIRMWARE<br>HARDWARE_MODEL<br>SERIAL_NUMBER<br>REVISION<br>UPGRADE_FIRMWARE<br>FIRMWARE_TYPE<br>CURRENT_FIRMWARE<br>BOARD_NAME<br>ROUTERBOARD |
| paloalto_panos_show_arp_all.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| paloalto_panos_show_interface_hardware.textfsm | ADDRESS<br>INTF | MAC_ADDRESS<br>INTERFACE |
| paloalto_panos_show_interface_logical.textfsm | ADDRESS<br>INTF | ID<br>INTERFACE<br>VLAN_ID<br>IP_ADDRESS |
| paloalto_panos_show_interface_management.textfsm | MACADDRESS | MAC_ADDRESS |
| paloalto_panos_show_mac_all.textfsm | VLAN<br>MAC | MAC_ADDRESS<br>VLAN_ID |
| paloalto_panos_show_system_info.textfsm | MAC | MAC_ADDRESS |
| ruckus_fastiron_show_arp.textfsm | VLAN | VLAN_ID |
| ruckus_fastiron_show_interfaces.textfsm | ADDRESS | MAC_ADDRESS<br>PREFIX_LENGTH |
| ruckus_fastiron_show_mac-address.textfsm | VLAN | VLAN_ID |
| ruckus_fastiron_show_vlan.textfsm | NAME | VLAN_NAME |
| ubiquiti_edgerouter_show_arp.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| ubiquiti_edgerouter_show_dhcp_leases.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| ubiquiti_edgerouter_show_dhcpv6_server_leases.textfsm | IP | IP_ADDRESS |
| ubiquiti_edgerouter_show_interfaces.textfsm | IP | IP_ADDRESS |
| ubiquiti_edgerouter_show_ip_route.textfsm | IP<br>CIDR | PREFIX_LENGTH<br>IP_ADDRESS |
| ubiquiti_edgerouter_show_ipv6_neighbors.textfsm | IP<br>MAC | IPV<br>MAC_ADDRESS<br>_ADDRESS |
| ubiquiti_edgerouter_show_ipv6_route.textfsm | IP | IPV<br>_ADDRESS |
| ubiquiti_edgeswitch_show_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| ubiquiti_edgeswitch_show_version.textfsm | MAC | MAC_ADDRESS |
| ubiquiti_edgeswitch_show_vlan.textfsm | NAME | VLAN_NAME |
| vmware_nsxv_show_ip_route.textfsm | PREFIX | PREFIX_LENGTH<br>IP_ADDRESS |
| vyatta_vyos_show_arp.textfsm | ADDRESS<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| watchguard_firebox_show_arp.textfsm | IP<br>MAC | MAC_ADDRESS<br>IP_ADDRESS |
| yamaha_show_ip_route.textfsm | MASK | PREFIX_LENGTH |
| zyxel_os_cfg_ipalias_get.textfsm | IPALIAS_NETMASK<br>PUBLAN_IP<br>IPALIAS_ACTIVE<br>IPALIAS_IP | IP_ALIAS_NETMASK<br>PUBLAN_IP_ADDRESS<br>IP_ALIAS_ADDRESS<br>IP_ALIAS_ACTIVE |
| zyxel_os_cfg_lan_get.textfsm | IP | IP_ADDRESS |
| zyxel_os_cfg_lan_get_--Name_name.textfsm | IP | IP_ADDRESS |
| zyxel_os_cfg_lanhosts_get.textfsm | IP<br>MAC | MAC_ADDRESS<br>_ADDRESS<br>IP_ADDRESS |
| zyxel_os_cfg_static_dhcp_get.textfsm | IP | IP_ADDRESS |
| zyxel_os_cfg_static_route_get.textfsm | IPVER | IP_VERSION |